Bug 18545 - ICE while building i586 package on x86_64
: ICE while building i586 package on x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-ovz-smp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-17 23:50 by
Modified: 2009-04-05 21:06 (History)


Attachments
"test case" (44.64 KB, application/octet-stream)
2009-01-17 23:50, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-17 23:50:25
Created an attachment (id=3225) [details]
"test case"

src.rpm attached would fail to build for me on x86_64 (Intel 54xx) for i586
with the following error:

Configuring for english day-of-week and month names ...
Building Makefile from Imakefile ...
----------------------------------------------------------------
imake -DUseInstalled -I/usr/share/X11/config
/usr/bin/xmkmf: line 57:  8824 Aborted                 imake $imake_defines
$args
----------------------------------------------------------------
Finished configuring.  To build wmclock, type 'make'.

+ '[' -n '' ']'
+ NPROCS=4
+ make -j4
make: Entering directory `/usr/src/RPM/BUILD/wmclock-1.0.12.2'
make: *** No targets.  Stop.

Inside chroot:

[builder@ wmclock-1.0.12.2]$ cc1: error: stdout: Input/output error
<stdin>:1: internal compiler error: Segmentation fault

Under strace -ff, everything seems to run OK and Makefile gets generated:

[builder@ wmclock-1.0.12.2]$ l Makefile 
-rw-r--r-- 1 builder builder 30784 Jan 17 20:40 Makefile
[builder@ wmclock-1.0.12.2]$ arch
x86_64

Native x86_64 package build runs just fine.
------- Comment #1 From 2009-01-18 00:50:58 -------
This is a kernel problem, try another kernel.
------- Comment #2 From 2009-01-19 00:59:23 -------
Yes, I'm aware of this issue, but AFAIK no ALT kernels have this problem.
------- Comment #3 From 2009-01-19 12:56:36 -------
Вообще-то это ядро из сизифа: kernel-image-ovz-smp-2.6.26-alt0.3

Спасибо, не предполагал, что может быть связано с ним, но боюсь, на 2.6.18
возвращаться особого смысла нет (хотя оно на этой железке работает).  Т.е.
проще собирать тогда i586 нативно где-нить ещё.

PS: ты как-то странно отхэндлил багу, перевешиваю.
------- Comment #4 From 2009-01-19 12:58:57 -------
Костик, говорят, это воспроизводится, но упёрлось в "не вполне рабочее" (конец
цитаты) ядро.  Или ты отказываешься от багов в bugzilla.altlinux.org и вешать в
bugzilla.unsafe.ru, проверив последнюю сборку оттуда?
------- Comment #5 From 2009-04-05 01:44:49 -------
Seems fixed in my kernel-image-ovz-2.6.26-alt3 from unsafe.ru
------- Comment #6 From 2009-04-05 21:06:10 -------
indeed, thanks!